<?php

namespace App\Filament\Resources\Achievements\Schemas;

use Filament\Forms\Components\DateTimePicker;
use Filament\Forms\Components\Select;
use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class AchievementForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                Select::make('user_id')
                    ->relationship('user', 'name')
                    ->required(),
                TextInput::make('key')
                    ->required(),
                DateTimePicker::make('earned_at')
                    ->required(),
                TextInput::make('meta'),
            ]);
    }
}
